Working Instructions for Installing BOINC Client on new Installation of Ubuntu 18.04.4 LTS

Questions and Answers : Unix/Linux : Working Instructions for Installing BOINC Client on new Installation of Ubuntu 18.04.4 LTS

To post messages, you must log in.

AuthorMessage
Dfro

Send message
Joined: 5 Apr 20
Posts: 1
Credit: 1,354,565
RAC: 8,929
Message 94309 - Posted: 13 Apr 2020, 1:55:14 UTC

Good evening,
Looking to bring another machine online to help with data processing. I have an older server with a lot of horsepower that I can only run with the console. Installed the latest Ubuntu Linux (Ubuntu 18.04.4 LTS). With various BOINC pages, I have been able to cobble together a pseudo installation but am still hung up with the issue of the dependence of "version `CURL_OPENSSL_3' not found (required by ./boinc)"

Lots of articles tried here this Easter Sunday, but looking for the Easter miracle to get this server into the fray and help processing data in the fight against COVID-19.

Thanks for any direct help or redirects that you see that perhaps I haven't found that end with solutions and not just discussion to the problem.

Dfro
ID: 94309 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
William Albert

Send message
Joined: 22 Mar 20
Posts: 23
Credit: 1,061,020
RAC: 0
Message 94351 - Posted: 13 Apr 2020, 14:58:39 UTC - in response to Message 94309.  
Last modified: 13 Apr 2020, 14:58:48 UTC

sudo apt install boinc


^ That didn't get you up and running?
ID: 94351 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
ProDigit

Send message
Joined: 6 Dec 18
Posts: 26
Credit: 2,112,998
RAC: 6,993
Message 94408 - Posted: 13 Apr 2020, 22:55:03 UTC - in response to Message 94351.  

sudo apt install boinc


^ That didn't get you up and running?

No, boinc isn't included in the PPAs.
You'd have to find Boinc PPA install instructions, like these ones:

sudo add-apt-repository ppa:costamagnagianfranco/boinc
sudo apt-get update


before you can install boinc on Ubuntu variants with the above command.
ID: 94408 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
William Albert

Send message
Joined: 22 Mar 20
Posts: 23
Credit: 1,061,020
RAC: 0
Message 94433 - Posted: 14 Apr 2020, 10:20:17 UTC - in response to Message 94408.  
Last modified: 14 Apr 2020, 10:21:31 UTC

All of my Ubuntu machines are running 18.04.4, and I installed boinc directly from the built-in repos -- no PPAs needed.

Granted, most of them are headless machines that aren't running boinc-manager (if I need to see status locally, I SSH in and run boinctui), but I do have a laptop with a full GUI install that is running boinc-manager, and I don't recall having to do anything special to get it working.
ID: 94433 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
ProDigit

Send message
Joined: 6 Dec 18
Posts: 26
Credit: 2,112,998
RAC: 6,993
Message 94465 - Posted: 14 Apr 2020, 18:24:20 UTC - in response to Message 94433.  

All of my Ubuntu machines are running 18.04.4, and I installed boinc directly from the built-in repos -- no PPAs needed.

Granted, most of them are headless machines that aren't running boinc-manager (if I need to see status locally, I SSH in and run boinctui), but I do have a laptop with a full GUI install that is running boinc-manager, and I don't recall having to do anything special to get it working.


I'm running Lubuntu 18.04 on several machines, and Boinc isn't included there.
Lubuntu should use the same repositories as Ubuntu. Perhaps Lubuntu just haven't added them and Ubuntu has?
ID: 94465 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote
Bryn Mawr

Send message
Joined: 26 Dec 18
Posts: 158
Credit: 4,850,825
RAC: 8,918
Message 94511 - Posted: 15 Apr 2020, 7:00:00 UTC

Ubuntu 18.04 and Mint 19.3 come with Boinc 7.9.x whereas the PPA will give you Boinc 7.16.x but the apt install should work in either case.
ID: 94511 · Rating: 0 · rate: Rate + / Rate - Report as offensive    Reply Quote

Questions and Answers : Unix/Linux : Working Instructions for Installing BOINC Client on new Installation of Ubuntu 18.04.4 LTS



©2020 University of Washington
https://www.bakerlab.org